.\"	$NetBSD: aiboost.4,v 1.1 2007/03/14 00:43:51 xtraeme Exp $
.\"
.\" Copyright (c) 2007 Juan Romero Pardines
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd March 14, 2007
.Dt AIBOOST 4
.Os
.Sh NAME
.Nm aiboost
.Nd ASUS AI Booster hardware monitor
.Sh SYNOPSIS
.Cd "aiboost* at acpi?"
.Sh DESCRIPTION
The
.Nm
driver provides support for monitoring the hardware sensors in recent
.Tn ASUS
motherboards.
The driver uses ACPI as the backend to fetch sensor values and
descriptions and provides its data via the
.Xr envsys 4
interface.
.Pp
The
.Nm
driver typically has 7 sensors, depending on the motherboard and
chipset:
.Bl -column "Sensor" "Units" "Typical" -offset indent
.It Sy "Sensor" Ta Sy "Units" Ta Sy "Typical Use"
.It Li "CPU" Ta "uK" Ta "CPU Temperature"
.It Li "MB" Ta "uK" Ta "MB Temperature"
.It Li "VCC" Ta "uV DC" Ta "Core Voltage"
.It Li "+3.3V" Ta "uV DC" Ta "+3.3 Voltage"
.It Li "+5V" Ta "uV DC" Ta "+5 Voltage"
.It Li "+12V" Ta "uV DC" Ta "+12 Voltage"
.It Li "CPU" Ta "RPM" Ta "CPU Fan"
.El
.Sh SEE ALSO
.Xr envsys 4 ,
.Xr envstat 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Fx
and then it was ported to
.Nx 5.0 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written by
.An Takanori Watanabe
and
.An Juan Romero Pardines ,
who adapted the code for
.Nx .
.Sh BUGS
It's possible to modify voltages via the ACPI methods in the DSDT,
but for now the driver only reports the sensors' values.
CPU Q-Fan is another thing that is typically specified in the ACPI
namespace, and in the future we should handle this feature (to
enable or disable automatic/manual fan mode).
